POST restapi/personal/learningrecordstore/partners/{partnerId}/secrets/v1
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| partnerId | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
Itslearning.RestApi.Entities.LearningRecordStore.LearningRecordStoreSecretModel| Name | Description | Type | Additional information |
|---|---|---|---|
| SecretId |
Gets or sets the secret ID. |
integer |
None. |
| Secret |
Gets or sets the client secret. |
string |
None. |
| ActivationDate |
Gets or sets the value of the activation date. |
string |
None. |
| CreatedDate |
Gets or sets the value of the creation date. |
string |
None. |
| SecretStatus |
If the secret is active or not. |
string |
None. |
| IsExpired |
If the secret has expired. |
boolean |
None. |
Response Formats
application/json, text/json
Sample:
{
"secretId": 1,
"secret": "sample string 2",
"activationDate": "sample string 3",
"createdDate": "sample string 4",
"secretStatus": "sample string 5",
"isExpired": true
}
application/xml, text/xml
Sample:
<LearningRecordStoreSecretModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance"> <ActivationDate>sample string 3</ActivationDate> <CreatedDate>sample string 4</CreatedDate> <IsExpired>true</IsExpired> <Secret>sample string 2</Secret> <SecretId>1</SecretId> <SecretStatus>sample string 5</SecretStatus> </LearningRecordStoreSecretModel>